﻿using Infragistics.Windows.Editors;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Data;

namespace XDGValueToDisplayTextConvCase
{
    public class DisplayTextConverter : IValueConverter
    {
        public object Convert(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            if (value != null)
            {
                string str = value.ToString();
                int val = int.Parse(str);

                if (val == 1)
                {
                    return "Cu Oxide";
                }
                else if (val == 2)
                {
                    return "DI Wate";
                }
                else if (val == 3)
                {
                    return "H2SO4";
                }
                else
                {
                    return str;
                }
            }
            else
            {
                return Binding.DoNothing;
            }
        }

        public object ConvertBack(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            throw new NotImplementedException();
        }
    }
}
